/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<fcntl.h>
#include	<stdlib.h>
#include	"init.h"
#include	"long_char.h"
#include	"memory_routine.h"
#include	"netutils.h"
#include	"xl.h"
#include	"utils.h"
#include	"favt.h"
#include	"favt64.h"

void init_exsh_function(XLISP_ENV*,XLISP_ENV*);
void	init_gv_cpu(XLISP_ENV*);

int
submain(int argc,char ** argv)
{

	init_xl(INI_DONTWAITCHI);
	init_favt();
	init_favt64();

	init_function(gblisp_top_env0,gblisp_top_env1,argc,argv);
	init_exsh_function(gblisp_top_env0,gblisp_top_env1);
	init_gv_cpu(gblisp_top_env0);
	xl_setup_file(argc,argv);

	return 0;
}


int
_main(int argc,char ** argv)
{
	return submain(argc,argv);
}
